当前位置: 代码迷 >> Eclipse >> myEclipse @override 出错 解决
  详细解决方案

myEclipse @override 出错 解决

热度:439   发布时间:2016-04-23 02:13:06.0
myEclipse @override 报错 解决
@Override是JDK5 就已经有了,但有个小小的Bug,就是不支持对接口的实现,认为这不是Override
而JDK6 修正了这个Bug,无论是对父类的方法覆盖还是对接口的实现都可以加上@Override

修改你的eclipse指定的编译器版本
在选项里的java compiler中指定版本至少在5.0以上

例如:
    @Override
public void transfer(final LoginUser loginUser) {
             ...........
        }
在5.0报错,在6.0就不报@Override。如果非要在5.0下只能去掉@Override。
在jdk1.6下决定的方法如下:
在myEclipse中改变编译器的方法:Project->Properties->Java Compiler->Configure Workspace Setting 选择6.0,在弹出的页面中可以进行设置。
1 楼 binhuajava 2012-08-15  
  相关解决方案
本站暂不开放注册!
内测阶段只得通过邀请码进行注册!
 
  • 最近登录:Sat Sep 22 13:35:21 CST 2018
  • 最近登录:Sat Sep 22 13:35:21 CST 2018
  • 最近登录:Sat Sep 22 13:35:21 CST 2018
  • 最近登录:Sat Sep 22 13:35:21 CST 2018
  • 最近登录:Sat Sep 22 13:35:21 CST 2018